# AMDDeviceAttributeQuery (LWJGL API)
Date: 2015-07-28

## org.lwjgl.opencl
Class AMDDeviceAttributeQuery

    java.lang.Object
      org.lwjgl.opencl.AMDDeviceAttributeQuery

    public final class AMDDeviceAttributeQuery

extends java.lang.Object

Field Summary
`static int` `CL_DEVICE_PROFILING_TIMER_OFFSET_AMD` Accepted as the <param_name> parameter of clGetDeviceInfo.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CL_DEVICE_PROFILING_TIMER_OFFSET_AMD

    public static final int CL_DEVICE_PROFILING_TIMER_OFFSET_AMD

  Accepted as the <param_name> parameter of clGetDeviceInfo. Return the offset in nano-seconds between an event timestamp and Epoch.

  See Also:
    Constant Field Values

Copyright © 2002-2009 lwjgl.org. All Rights Reserved.